sets:
  - name: arm-gcc
    builds:
      - build_name: gcc-10-defconfig-lkftconfig
        target_arch: arm
        toolchain: gcc-10
        kconfig:
          - defconfig
          - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
          - CONFIG_ARM_TI_CPUFREQ=y
          - CONFIG_SERIAL_8250_OMAP=y
          - CONFIG_POSIX_MQUEUE=y
          - CONFIG_OF=y
          - CONFIG_SYN_COOKIES=y
  - name: arm64-gcc
    builds:
      - build_name: gcc-11-defconfig-lkftconfig
        target_arch: arm64
        toolchain: gcc-11
        kconfig:
          - defconfig
          - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
          - CONFIG_ARM64_MODULE_PLTS=y
          - CONFIG_SYN_COOKIES=y
          - CONFIG_GENERIC_COMPAT_VDSO=n
          - CONFIG_COMPAT_VDSO=n
  - name: i386-gcc
    builds:
      - build_name: gcc-11-defconfig-lkftconfig
        target_arch: i386
        toolchain: gcc-11
        kconfig:
          - defconfig
          - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
          - CONFIG_IGB=y
          - CONFIG_UNWINDER_FRAME_POINTER=y
          - CONFIG_SYN_COOKIES=y
  - name: x86-gcc
    builds:
      - build_name: gcc-11-defconfig-lkftconfig
        target_arch: x86_64
        toolchain: gcc-11
        kconfig:
          - defconfig
          - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
          - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
          - CONFIG_IGB=y
          - CONFIG_UNWINDER_FRAME_POINTER=y
          - CONFIG_SYN_COOKIES=y
  - name: queue-tinyconfigs
    builds:
      - {target_arch: arc,     toolchain: gcc-8,         kconfig: tinyconfig}
      - {target_arch: arc,     toolchain: gcc-9,         kconfig: tinyconfig}
      - {target_arch: arm,     toolchain: gcc-10,        kconfig: tinyconfig}
      - {target_arch: arm,     toolchain: gcc-11,        kconfig: tinyconfig}
      - {target_arch: arm,     toolchain: clang-12,      kconfig: tinyconfig, make_variables: {LLVM: 1, LLVM_IAS: 0}}
      - {target_arch: arm,     toolchain: clang-13,      kconfig: tinyconfig, make_variables: {LLVM: 1, LLVM_IAS: 0}}
      - {target_arch: arm,     toolchain: clang-14,      kconfig: tinyconfig, make_variables: {LLVM: 1, LLVM_IAS: 0}}
      - {target_arch: arm,     toolchain: clang-nightly, kconfig: tinyconfig, make_variables: {LLVM: 1, LLVM_IAS: 0}}
      - {target_arch: arm64,   toolchain: gcc-10,        kconfig: tinyconfig}
      - {target_arch: arm64,   toolchain: gcc-11,        kconfig: tinyconfig}
      - {target_arch: arm64,   toolchain: clang-12,      kconfig: tinyconfig, make_variables: {LLVM: 1, LLVM_IAS: 1}}
      - {target_arch: arm64,   toolchain: clang-13,      kconfig: tinyconfig, make_variables: {LLVM: 1, LLVM_IAS: 1}}
      - {target_arch: arm64,   toolchain: clang-14,      kconfig: tinyconfig, make_variables: {LLVM: 1, LLVM_IAS: 1}}
      - {target_arch: arm64,   toolchain: clang-nightly, kconfig: tinyconfig, make_variables: {LLVM: 1, LLVM_IAS: 1}}
      - {target_arch: i386,    toolchain: gcc-10,        kconfig: tinyconfig}
      - {target_arch: i386,    toolchain: gcc-11,        kconfig: tinyconfig}
      - {target_arch: mips,    toolchain: gcc-10,        kconfig: tinyconfig}
      - {target_arch: mips,    toolchain: clang-13,      kconfig: tinyconfig, make_variables: {LLVM: 1, LLVM_IAS: 0}}
      - {target_arch: mips,    toolchain: clang-14,      kconfig: tinyconfig, make_variables: {LLVM: 1, LLVM_IAS: 0}}
      - {target_arch: mips,    toolchain: clang-nightly, kconfig: tinyconfig, make_variables: {LLVM: 1, LLVM_IAS: 0}}
      - {target_arch: parisc,  toolchain: gcc-10,        kconfig: tinyconfig}
      - {target_arch: parisc,  toolchain: gcc-11,        kconfig: tinyconfig}
      - {target_arch: powerpc, toolchain: gcc-10,        kconfig: tinyconfig}
      - {target_arch: powerpc, toolchain: gcc-11,        kconfig: tinyconfig}
      - {target_arch: powerpc, toolchain: clang-13,      kconfig: tinyconfig, make_variables: {LLVM: 1, LLVM_IAS: 0}}
      - {target_arch: powerpc, toolchain: clang-14,      kconfig: tinyconfig, make_variables: {LLVM: 1, LLVM_IAS: 0}}
      - {target_arch: powerpc, toolchain: clang-nightly, kconfig: tinyconfig, make_variables: {LLVM: 1, LLVM_IAS: 0}}
      - {target_arch: riscv,   toolchain: gcc-10,        kconfig: tinyconfig}
      - {target_arch: riscv,   toolchain: gcc-11,        kconfig: tinyconfig}
      - {target_arch: s390,    toolchain: gcc-10,        kconfig: tinyconfig}
      - {target_arch: s390,    toolchain: gcc-11,        kconfig: tinyconfig}
      - {target_arch: sh,      toolchain: gcc-10,        kconfig: tinyconfig}
      - {target_arch: sh,      toolchain: gcc-11,        kconfig: tinyconfig}
      - {target_arch: sparc,   toolchain: gcc-10,        kconfig: tinyconfig}
      - {target_arch: sparc,   toolchain: gcc-11,        kconfig: tinyconfig}
      - {target_arch: x86_64,  toolchain: gcc-10,        kconfig: tinyconfig}
      - {target_arch: x86_64,  toolchain: gcc-11,        kconfig: tinyconfig}
      - {target_arch: x86_64,  toolchain: clang-12,      kconfig: tinyconfig, make_variables: {LLVM: 1, LLVM_IAS: 1}}
      - {target_arch: x86_64,  toolchain: clang-13,      kconfig: tinyconfig, make_variables: {LLVM: 1, LLVM_IAS: 1}}
      - {target_arch: x86_64,  toolchain: clang-14,      kconfig: tinyconfig, make_variables: {LLVM: 1, LLVM_IAS: 1}}
      - {target_arch: x86_64,  toolchain: clang-nightly, kconfig: tinyconfig, make_variables: {LLVM: 1, LLVM_IAS: 1}}
